# API 参考

## getNFTMetadata

{% openapi src="/files/Ue5AlR0SOvZXxfmbl7Pc" path="/quote/stake" method="get" %}
[chainupcloud.agg.yaml](https://content.gitbook.com/content/IQGs7tgkNqzmAzzSFmsJ/blobs/qKXwu5TuvA9r6IjCraRE/chainupcloud.agg.yaml)
{% endopenapi %}

{% openapi src="/files/Ue5AlR0SOvZXxfmbl7Pc" path="/quote/unstake" method="get" %}
[chainupcloud.agg.yaml](https://content.gitbook.com/content/IQGs7tgkNqzmAzzSFmsJ/blobs/qKXwu5TuvA9r6IjCraRE/chainupcloud.agg.yaml)
{% endopenapi %}

## Gets the metadata associated with a given NFT.

<mark style="color:blue;">`GET`</mark> `Gets the metadata associated with a given NFT.`

<br>

{% tabs %}
{% tab title="Shell" %}
{% hint style="info" %}
Base URL : xxx
{% endhint %}

{% code overflow="wrap" %}

```markup
curl --request GET \
     --url 'https://undefined.g.alchemy.com/nft/v2/docs-demo/getNFTMetadata?contractAddress=0xe785E82358879F061BC3dcAC6f0444462D4b5330&tokenId=44&refreshCache=false' \
     --header 'accept: application/json'
```

{% endcode %}
{% endtab %}

{% tab title="Javascript" %}

{% endtab %}

{% tab title="Python" %}

{% endtab %}
{% endtabs %}

\
\
\ <br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chainupcloud.com/zhong-wen/resources/api-can-kao.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
